# PLATFORM_USER_MATRIX_CHATS_SQL = """
# CREATE TABLE IF NOT EXISTS platforms_user_matrix_chats (
#     id INTEGER PRIMARY KEY AUTOINCREMENT,
#     plstform_user_id INTEGER NOT NULL,
#     matrix_chat_id INTEGER NOT NULL,
#     FOREIGN KEY(platform_user_id) REFERENCES platforms_users(id),
#     FOREIGN KEY(matrix_chat_id) REFERENCES matrix_chats(id)
# );
# """

PLATFORMS_USERS_SQL = """
CREATE TABLE IF NOT EXISTS platforms_users
(
   user_id INTEGER(100) PRIMARY KEY NOT NULL,
   first_name TEXT(100) NOT NULL,
   last_name TEXT(100),
   username TEXT(100),
   avatar_hash BLOB
);
"""

MATRIX_ROOMS_SQL = """
CREATE TABLE IF NOT EXISTS matrix_rooms
(
    matrix_room_id TEXT(100) PRIMARY KEY NOT NULL
);
"""
